#define DEFAULT_BOARD_BG "gray"
#define DEFAULT_BOARD_FG "black"
#define PLAYER0_COLOR "red"
#define PLAYER1_COLOR "black"
#define PLAYER2_COLOR "blue"
#define PLAYER3_COLOR "purple"

#define DIMENSION 870

#define P1	35
#define P2	285
#define P3	335
#define P4	535
#define P5	585
#define P6	835

#define TALK_WIDTH 250
#define TALK_HEIGHT 60
#define TALK_Y	135		/* the y-coordinate for the upper talk
				 * boxes. the lower talk box's is
				 * TALK_Y+TALK_HEIGHT+30.
				 */
#define TALK_L_X P1
#define TALK_R_X P5
#define TALK_X_INC 9		/* char gap in x-direction of talk
				 * string.
				 */
#define TALK_Y_INC 20
#define TALK0_X  P1+5		/* talk string's x-coordinate for
				 * player 0
				 */
#define TALK0_Y  TALK_Y+15
#define TALK1_X  P5+5
#define TALK1_Y  TALK_Y+15
#define TALK2_X  P1+5
#define TALK2_Y  TALK_Y+105
#define TALK3_X  P5+5
#define TALK3_Y  TALK_Y+105

#define RIP_Y	585
#define RIP_DIMENSION 250

#define BUTTON_WIDTH 100
#define BUTTON_HEIGHT 25
#define BUTTON_X  685
#define NEW_Y	610
#define BUTTON_DIS  40

#define MSG_BOX_X P5
#define MSG_BOX_Y P1
#define MSG_WIDTH 250
#define MSG_HEIGHT 50
#define MSG_X	592
#define MSG_Y	53

#define MAX_MSG 27

#define SIGN_DIMENSION 64

#define PILLAR -2
#define EMPTY -1
#define COLOURS 0
#define SAPPER 1
#define F_LIEUTENANT 2
#define CAPTAIN 3
#define MAJOR 4
#define COLONEL 5
#define BRIGADIER 6
#define M_GENERAL 7
#define GENERAL 8
#define MARSHAL 9
#define MINE 10
#define BOMB 11

#define F0 0
#define F1 1
#define F2 2
#define F3 3
#define MIDFIELD 4
#define RIP 5
#define NEW 6
#define READY 7
#define REDEPLOY 8
#define PEACE 9
#define SURRENDER 10
#define QUIT 11
#define OTHERPLACE 12


typedef struct {
	int id;
	int value;
} Arr;


typedef struct {
	int neighbor[4];
	int visited;
} Sapper_path;





